#
# spec file for package python3-openpyxl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-openpyxl
Version:        2.2.4
Release:        6.2
Summary:        A Python library to read/write Excel 2007 xlsx/xlsm files
License:        MIT and Python-2.0
Group:          Development/Languages/Python
Url:            http://openpyxl.readthedocs.org
Source:         http://pypi.python.org/packages/source/o/openpyxl/openpyxl-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  python3-nose
BuildRequires:  python3-xml
Requires:       python3-xml
# for embedded image support
Recommends:     python3-Pillow
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
openpyxl is a pure python reader and writer of Excel OpenXML files.
It is ported from the PHPExcel project

%prep
%setup -q -n openpyxl-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# tests currently do not work with python 3
# %check
# nosetests

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENCE.rst README.rst
%{python3_sitelib}/*

%changelog
* Thu Jun 18 2015 arun@gmx.de
- update to version 2.2.4:
  * #464 Cannot use images when preserving macros
  * #465 ws.cell() returns an empty cell on read-only workbooks
  * #467 Cannot edit a file with ActiveX components
  * #471 Sheet properties elements must be in order
  * #475 Do not redefine class __slots__ in subclasses
  * #477 Write-only support for SheetProtection
  * #478 Write-only support for DataValidation
  * Improved regex when checking for datetime formats
* Tue May 26 2015 arun@gmx.de
- update to version 2.2.3:
  * Enable 64bit extensions for all versions of Python.
  * Update docs.
  * Do not preserve relation to printer part without preserving the
    printer part.
  * Don't force namespace on worksheet child as we set the default
    namespace for all worksheets.
  * Use print() instead of print statement
  * Pass locale settings into envs (needed for somethings for tox 2 >=
    2).
  * Fix failing doctest.
  * Correct the schema for saving strings.
  * fixed typo in sample code
* Sat May  2 2015 arun@gmx.de
- update to version 2.2.2:
  * #447 Uppercase datetime number formats not recognised.
  * #453 Borders broken in shared_styles.
* Fri Apr  3 2015 arun@gmx.de
- update to version 2.2.1:
  * PR54 Improved precision on times near midnight.
  * PR55 Preserve macro buttons
  * #429 Workbook fails to load because header and footers cannot be
    parsed.
  * #433 File-like object with encoding=None
  * #434 SyntaxError when writing page breaks.
  * #436 Read-only mode duplicates empty rows.
  * #437 Cell.offset raises an exception
  * #438 Cells with pivotButton and quotePrefix styles cannot be read
  * #440 Error when customised versions of builtin formats
  * #442 Exception raised when a fill element contains no children
  * #444 Styles cannot be copied
* Sat Mar 14 2015 arun@gmx.de
- update to version 2.2.0:
  * #415 Improved exception when passing in invalid in memory files.
  * Cell styles deprecated, use formatting objects (fonts, fills,
    borders, etc.) directly instead
  * Charts will no longer try and calculate axes by default
  * Support for template file types - PR21
  * Moved ancillary functions and classes into utils package - single
    place of reference
  * PR 34 Fully support page setup
  * Removed SAX-based XML Generator. Special thanks to Elias Rabel for
    implementing xmlfile for xml.etree
  * Preserve sheet view definitions in existing files (frozen panes,
    zoom, etc.)
  * #103 Set the zoom of a sheet
  * #199 Hide gridlines
  * #215 Preserve sheet view setings
  * #262 Set the zoom of a sheet
  * #392 Worksheet header not read
  * #387 Cannot read files without styles.xml
  * #410 Exception when preserving whitespace in strings
  * #417 Cannot create print titles
  * #420 Rename confusing constants
  * #422 Preserve color index in a workbook if it differs from the
    standard
  * Use a 2-way cache for column index lookups
  * Clean up tests in cells
  * PR 40 Support frozen panes and autofilter in write-only mode
  * Use ws.calculate_dimension(force=True) in read-only mode for
    unsized worksheets
- changes from version 2.1.5:
  * #403 Cannot add comments in write-only mode
  * #401 Creating cells in an empty row raises an exception
  * #408 from_excel adjustment for Julian dates 1 < x < 60
  * #409 refersTo is an optional attribute
  * Allow cells to be appended to standard worksheets for code
    compatibility with write-only mode.
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 2.1.4:
  * #393 IterableWorksheet skips empty cells in rows
  * #394 Date format is applied to all columns (while only first column contains dates)
  * #395 temporary files not cleaned properly
  * #396 Cannot write “=” in Excel file
  * #398 Cannot write empty rows in write-only mode with LXML installed
  * Add relation namespace to root element for compatibility with iWork
  * Serialize comments relation in LXML-backend
- changes from version 2.1.3:
  * PR 31 Correct tutorial
  * PR 32 See #380
  * PR 37 Bind worksheet to ColumnDimension objects
  * #379 ws.append() doesn’t set RowDimension Correctly
  * #380 empty cells formatted as datetimes raise exceptions
* Tue Nov 18 2014 toddrme2178@gmail.com
-Update to 2.1.2
  + Minor changes
  * Fix regex for positive exponentials
  * ValueError when using .rows on sheet with hyperlinks
  + Bug fixes
  * defined names with formulae raise exceptions
  * ValueError when reading cells with hyperlinks
  * IndexError when reading definedNames
  * number_format not consistently applied from styles
-Update to 2.1.1
  + Minor changes
  * Support different workbook code names
  * Allow auto_axis keyword for ScatterCharts
  + Bug fixes
  * Fills lost in ConditionalFormatting
  * Support value=”none” in attributes
  * Support undocumented value for textRotation
  * Preserve integers in read-only mode
  * Complete read support for DataValidation
  * Iterate over unsized worksheets
-Update to 2.1.0
  + Major changes
  * “read_only” and “write_only” new flags for workbooks
  * Support for reading and writing worksheet protection
  * Support for reading hidden rows
  * Cells now manage their styles directly
  * ColumnDimension and RowDimension object manage their styles directly
  * Use xmlfile for writing worksheets if available - around 3 times faster
  * Datavalidation now part of the worksheet package
  + Minor changes
  * Number formats are now just strings
  * Strings can be used for RGB and aRGB colours for Fonts, Fills and Borders
  * Create all style tags in a single pass
  * Performance improvement when appending rows
  * Cleaner conversion of Python to Excel values
  * PR6 reserve formatting for empty rows
  * standard worksheets can append from ranges and generators
  + Bug fixes
  * Cannot read visibility of sheets and rows
  * No content type for worksheets
  * Cannot read sheets with inline strings
  * 1-indexing for merged cells
  * Correctly handle removal of cell protection
  * Cells with formulae do not round-trip
  * Read DataValidations
  * Support Defined Named Ranges to external workbooks
-Update to 2.0.5
  + Bug fixes
  * incorrect casting of boolean strings
  * roundtripping cells with formulae
-Update to 2.0.4
  + Minor changes
  * Add a sample file illustrating colours
  + Bug fixes
  * DARKYELLOW was incorrect
  * Correctly handle extend attribute for fonts
-Update to 2.0.3
  + Minor changes
  * Updated docs
  + Bug fixes
  * Cannot load Workbooks with vertAlign styling for fonts
-Update to 2.0.2
-Update to 2.0.1
-Update to 2.0.0
  + Major changes
  * This is last release that will support Python 3.2
  * Cells are referenced with 1-indexing: A1 == cell(row=1, column=1)
  * Use jdcal for more efficient and reliable conversion of datetimes
  * Significant speed up when reading files
  * Merged immutable styles
  * Type inference is disabled by default
  * RawCell renamed ReadOnlyCell
  * ReadOnlyCell.internal_value and ReadOnlyCell.value now behave the same as Cell
  * Provide no size information on unsized worksheets
  * Lower memory footprint when reading files
  + Minor changes
  * All tests converted to pytest
  * Pyflakes used for static code analysis
  * Sample code in the documentation is automatically run
  * Support GradientFills
  * BaseColWidth set
  + Pull requests
  * Add filterColumn, sortCondition support to AutoFilter
  * Reorder worksheets parts
  * Update API for conditional formatting
  * Add support for writing Protection styles, others
  * Better handling of content types when preserving macros
  + Bug fixes
  * ColumnDimension style error
  * reader.worksheet.fast_parse sets booleans to integers
  * Auto sizing column widths does not work
  * Workbooks with chartsheets
  * Invalid PageMargins
  * Using v in cells creates invalid files
  * IndexError when loading workbook
  * Forded conversion of line breaks
  * Raise exceptions when passed invalid types
  * Cannot open files which use non-standard sheet names or reference Ids
  * Handling unsized worksheets in IterableWorksheet
  * Handling Workbooks with non-standard references
  * Handling auto filters where there are only custom filters
  * Harmonise chart and cell coordinates
  * Explicit exception raising for invalid characters
  * Optimized writer can not handle a datetime.time value
  * Cell coordinates not consistent with documentation
  * Missing column width causes load_workbook() exception
  * Handling Workbooks with absolute paths for worksheets (from Sharepoint)
-Update to 1.8.6
  + Minor changes
  * Fixed typo for import Elementtree
  + Bugfixes
  * Incorrect path for comments files on Windows
-Update to 1.8.5
  + Minor changes
  * The ‘=’ string is no longer interpreted as a formula
  * When a client writes empty xml tags for cells (e.g. <c r=’A1’></c>), reader will not crash
-Update to 1.8.4
  + Bugfixes
  * better handling of undimensioned worksheets
  * non-ascii in formualae
  * correct implementation of register_namepsace for Python 2.6
-Update to 1.8.3
  + Major changes
  * Always parse using cElementTree
  + Minor changes
  * Slight improvements in memory use when parsing
  * error when trying to read comments with optimised reader
  * unsized worksheets
  * only numeric cells can be dates
-Update to 1.8.2
  * iterable worksheets open too many files
  * improved handling of lxml
  * better handling of unique sheetnames
-Update to 1.8.1
-Update to 1.8.0
  + Compatibility
  * Support for Python 2.5 dropped.
  + Major changes
  * Support conditional formatting
  * Support lxml as backend
  * Support reading and writing comments
  * pytest as testrunner now required
  * Improvements in charts: new types, more reliable
  + Minor changes
  * load_workbook now accepts data_only to allow extracting values only from formulae. Default is false.
  * Images can now be anchored to cells
  * Docs updated
  * Provisional benchmarking
  * Added convenience methods for accessing worksheets and cells by key
* Thu Jul 17 2014 toddrme2178@gmail.com
- Add LICENSE to %%doc
* Fri May 10 2013 toddrme2178@gmail.com
- Initial version
